Package org.wso2.carbon.logging.admin.stub.types.axis2

## Class GetAllLoggerData

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.axis2.GetAllLoggerData

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class GetAllLoggerData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  GetAllLoggerData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `GetAllLoggerData.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `localBeginsWith` | field for BeginsWith
    `protected boolean` | `localBeginsWithTracker` |
    `protected String` | `localLogNameFilter` | field for LogNameFilter
    `protected boolean` | `localLogNameFilterTracker` |
    `static QName` | `MY_QNAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetAllLoggerData()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getBeginsWith()` | Auto generated getter method
    `String` | `getLogNameFilter()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `boolean` | `isBeginsWithSpecified()` |
    `boolean` | `isLogNameFilterSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setBeginsWith​(boolean param)` | Auto generated setter method
    `void` | `setLogNameFilter​(String param)` | Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localBeginsWith

          protected boolean localBeginsWith

      field for BeginsWith

    - #### localBeginsWithTracker

          protected boolean localBeginsWithTracker

    - #### localLogNameFilter

          protected String localLogNameFilter

      field for LogNameFilter

    - #### localLogNameFilterTracker

          protected boolean localLogNameFilterTracker

  - ### Constructor Detail

    - #### GetAllLoggerData

          public GetAllLoggerData()

  - ### Method Detail

    - #### isBeginsWithSpecified

          public boolean isBeginsWithSpecified()

    - #### getBeginsWith

          public boolean getBeginsWith()

      Auto generated getter method
      Returns:
        boolean

    - #### setBeginsWith

          public void setBeginsWith​(boolean param)

      Auto generated setter method
      Parameters:
        `param` - BeginsWith

    - #### isLogNameFilterSpecified

          public boolean isLogNameFilterSpecified()

    - #### getLogNameFilter

          public String getLogNameFilter()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLogNameFilter

          public void setLogNameFilter​(String param)

      Auto generated setter method
      Parameters:
        `param` - LogNameFilter

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`